<template>
  <div class="colors">
    <h3>Colors</h3>
    <div class="text-muted">
      <ul>
        <li>basic colors (primary, accent, text, icon, divider,shadow)</li>
        <li>auxiliary colors (disabled, warning, danger, success, info, black, white, gray...)</li>
        <li>darkTheme color variations (primaryTextThemeDark, disabledThemeDark...)</li>
      </ul>
    </div>

    <div class="colors__content">
      <div
        v-for="color in colors"
        :key="color"
        class="color">
        <div
          :style="'background-color:'+color.code+';'"
          class="color__dot"/>
        <div class="color__name">${{ color.name }}</div>
        <div class="color__code">{{ color.code }}</div>
      </div>

    </div>
  </div>
</template>

<script>
export default {
  name: "Colors",
  data() {
    return {
      colors: [
        {
          name: "sika-red",
          code: "#d8282f"
        },
        {
          name: "sika-yellow",
          code: "#f5b325"
        },
        {
          name: "sika-gray",
          code: "#e3e4e4"
        },
        {
          name: "success",
          code: "#2ab573"
        },
        {
          name: "warning",
          code: "#f7bb56"
        },
        {
          name: "danger",
          code: "#e85628"
        },
        {
          name: "gray",
          code: "#ebeced"
        },
        {
          name: "darkGray",
          code: "#ccd1d9"
        },
        {
          name: "white",
          code: "#fff"
        },
        {
          name: "black",
          code: "#1f1f1f"
        }
      ]
    };
  }
};
</script>

<style>
.colors__content {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;

  margin: 0 -10px;
  width: 800px;
}
.color {
  margin: 10px;
  flex: 1 1 124px;
}
.color__dot {
  width: 124px;
  height: 124px;
  border-radius: 50%;
  border: 1px solid black;
}
.color__name {
  margin-top: 10px;
  width: 124px;
  text-align: center;
}
.color__code {
  margin-top: 5px;
  width: 124px;
  color: #6e767f;
  text-align: center;
}

h3,
.h3 {
  font-family: "OpenSans-Light", Arial, sans-serif;
  font-size: 1.5rem;
  line-height: 1.875rem;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  max-width: 100%;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0.5rem;
}

.text-muted {
  color: #818a91 !important;
}

ol,
ul,
dl {
  margin-top: 0;
  margin-bottom: 1rem;
}
li {
  display: list-item;
  text-align: -webkit-match-parent;
}
</style>
